阿西河

所有教程

公众号
🌙
阿西河前端的公众号

我的收藏

    最近访问  (文章)

      教程列表

      抓包专区
      测试专区

      npm deprecate

      npm deprecate 功能

      弃用软件包的版本

      npm deprecate 使用

      npm deprecate <pkg>[@<version>] <message>
      

      npm deprecate 说明

      此命令将更新软件包的 npm 注册表项,向所有尝试安装该软件包的人提供弃用警告。

      它适用于版本范围以及特定版本,因此您可以执行以下操作:

      npm deprecate my-thing@"< 0.2.3" "critical bug fixed in v0.2.3"
      

      请注意,您必须是程序包所有者才能弃用某些内容。

      请参阅 owner 和 adduser 帮助主题。

      如何取消提示

      要取消使用包的提示,请为 message 参数指定一个空字符串 ""

      请注意,必须使用双引号,且双引号之间不能有空格,以格式化空字符串。

      目录
      目录